;; the elisp file for dancer's way of doing file dialog.
;; 19 Feb 2002
;; Copyright 2002 Junichi Uekawa


(global-set-key "\C-x\C-f" 'dancer-filedialog-find-file)

(defun dancer-filedialog-find-file () 	
  "find-file dialog box using external program"
  (interactive)
  (let* ((searchregexbufname (concat "*dancer-find-file-tmp*"))
         )
    (switch-to-buffer searchregexbufname)
    (kill-region (point-min) (point-max))
    (if (eq 0 (call-process "gtkfiledialog" nil 
		  searchregexbufname
		  nil))
	(progn
	  (goto-char (point-min))
	  (let* ((poshead (point))
		 (posend (progn 
			   (end-of-line)
			   (point)))
		 (namestring (buffer-substring poshead posend)))
	    (find-file namestring))))
    (kill-buffer searchregexbufname)
    ))


